Get Market
curl --request GET \
--url https://api.polyhistorical.com/v1/markets/{slug} \
--header 'X-API-Key: <x-api-key>'import requests
url = "https://api.polyhistorical.com/v1/markets/{slug}"
headers = {"X-API-Key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<x-api-key>'}};
fetch('https://api.polyhistorical.com/v1/markets/{slug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"slug": "<string>",
"market_id": "<string>",
"event_id": "<string>",
"market_type": "<string>",
"start_time": "<string>",
"end_time": "<string>",
"coin_price_start": 123,
"coin_price_end": 123,
"condition_id": "<string>",
"clob_token_up": "<string>",
"clob_token_down": "<string>",
"winner": "<string>",
"final_volume": 123,
"final_liquidity": 123,
"resolved_at": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
}Polymarket
Get Market
Get a single market by its slug
GET
/
v1
/
markets
/
{slug}
Get Market
Get Market
Returns detailed data for a single market identified by its slug.Request
https://api.polyhistorical.com/v1/markets/{slug}
Headers
string
required
Your API key. See Authentication.
Path parameters
string
required
The market slug, e.g.
btc-updown-5m-1774975800Response
Returns a single market object.string
Market slug identifier
string
External market ID
string
External event ID
string
Market interval — 5m, 15m, 1hr (all coins), 4hr, 24hr (BTC only)
string
Market start time (ISO 8601)
string
Market end time (ISO 8601)
number
Coin price at market start (null if not yet recorded)
number
Coin price at market end (null if unresolved)
string
Polymarket condition ID
string
CLOB token ID for the “Up” outcome
string
CLOB token ID for the “Down” outcome
string
Winning outcome (null if unresolved)
number
Final trading volume (null if unresolved)
number
Final liquidity (null if unresolved)
string
Resolution timestamp (null if unresolved)
string
Record creation timestamp
string
Record last updated timestamp
Example
curl -H "X-API-Key: YOUR_API_KEY" \
"https://api.polyhistorical.com/v1/markets/btc-updown-5m-1774975800"
response = requests.get(
"https://api.polyhistorical.com/v1/markets/btc-updown-5m-1774975800",
headers={"X-API-Key": API_KEY}
)
Response
{
"slug": "btc-updown-5m-1774975800",
"winner": "Down",
"market_id": "1793728",
"event_id": "325933",
"market_type": "5m",
"start_time": "2026-03-31T16:50:00Z",
"end_time": "2026-03-31T16:55:00Z",
"coin_price_start": 67701.82777476,
"condition_id": "0x740cfdbafa8d1b1d51729da79b05e641158d3a7c889175dab1eab20a2c92b5cc",
"clob_token_up": "83511279567738325562016865404511480598726292757090195771777541218161914729159",
"clob_token_down": "66091509674921971407227514952521456996907573303653223323107401767726760115252",
"final_volume": 202849.44,
"final_liquidity": 12435.04,
"coin_price_end": 67611.61304387,
"resolved_at": "2026-03-31T16:55:25Z",
"created_at": "2026-03-31T16:50:00.943587Z",
"updated_at": "2026-03-31T17:21:20.768590Z"
}